summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Leonard Schmidt <lems@gmx.net>2014-08-14 22:37:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-15 23:21:32 +0700
commitaf741c4e20fb394b1a7bb26fa45c757f4baade1a (patch)
tree1cad5b58d9171c5b2b61ff12fdfe31058985aab3
parent29569b8f8218c831842ef2e1be566d46b9f5ef3b (diff)
downloadslackbuilds-af741c4e20fb394b1a7bb26fa45c757f4baade1a.tar.gz
slackbuilds-af741c4e20fb394b1a7bb26fa45c757f4baade1a.tar.xz
network/tnftp: Added (command line FTP client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/tnftp/README29
-rw-r--r--network/tnftp/slack-desc19
-rw-r--r--network/tnftp/tnftp.SlackBuild98
-rw-r--r--network/tnftp/tnftp.info10
4 files changed, 156 insertions, 0 deletions
diff --git a/network/tnftp/README b/network/tnftp/README
new file mode 100644
index 0000000000..5eb9a3e167
--- /dev/null
+++ b/network/tnftp/README
@@ -0,0 +1,29 @@
+`tnftp' is a `port' of the NetBSD FTP client to other systems.
+
+The enhancements over the standard ftp client in 4.4BSD (and
+derivatives) include:
+ * command-line editing within ftp
+ * command-line fetching of URLS, including support for:
+ - http proxies (see $http_proxy, $ftp_proxy)
+ - authentication
+ * configurable prompt
+ * context sensitive command and filename completion
+ * dynamic progress bar
+ * feature negotiation extensions from RFC 2389
+ (see `feat' and `remopts')
+ * extensions to ftp from the IETF ftpext working group
+ (see `mlsd' and `mlst')
+ * IPv6 support (from the WIDE project)
+ * modification time preservation
+ * paging of local and remote files, and of directory listings
+ (see `lpage', `page', `pdir')
+ * passive mode support, with fallback to active mode
+ * retrieval of filenames listed in a given file (see `fget')
+ * `set option' override of ftp environment variables
+ * TIS Firewall Toolkit gate ftp proxy support (see `gate')
+ * transfer-rate throttling (see `-T', `rate')
+ * uploading of files on the command line (see `-u')
+ * (Dante) SOCKS5 support
+
+Previous features, currently disabled until a test system is available:
+ * SOCKS4 support
diff --git a/network/tnftp/slack-desc b/network/tnftp/slack-desc
new file mode 100644
index 0000000000..07e5f47668
--- /dev/null
+++ b/network/tnftp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tnftp: tnftp (command line FTP client)
+tnftp:
+tnftp: tnftp is a port of the NetBSD FTP client to other systems.
+tnftp:
+tnftp: It features command-line editing, a configurable prompt, context
+tnftp: sensitive command and filename completion, a dynamic progress bar,
+tnftp: IPv6 support (from the WIDE project), feature negotiation
+tnftp: extensions from RFC 2389, extensions to ftp from the IETF ftpext
+tnftp: working group, uploading of files on the command line and several
+tnftp: other enhancements over the standard 4.4BSD ftp client.
+tnftp:
diff --git a/network/tnftp/tnftp.SlackBuild b/network/tnftp/tnftp.SlackBuild
new file mode 100644
index 0000000000..5c33f665a7
--- /dev/null
+++ b/network/tnftp/tnftp.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for tnftp
+
+# Copyright (c) 2014, Leonard Schmidt <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tnftp
+VERSION=${VERSION:-20130505}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc/tnftp \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-editcomplete \
+ --enable-ipv6 \
+ --enable-ssl
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog NEWS README THANKS $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/tnftp/tnftp.info b/network/tnftp/tnftp.info
new file mode 100644
index 0000000000..18705d2d62
--- /dev/null
+++ b/network/tnftp/tnftp.info
@@ -0,0 +1,10 @@
+PRGNAM="tnftp"
+VERSION="20130505"
+HOMEPAGE="ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp"
+DOWNLOAD="ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp/tnftp-20130505.tar.gz"
+MD5SUM="66e218d02ec7d9fc39ab70ba2900305a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"